## EAlert

EAlert

## Functions

EAlert * | e_alert_new ()
EAlert * | e_alert_new_valist ()
EAlert * | e_alert_new_array ()
gint | e_alert_get_default_response ()
void | e_alert_set_default_response ()
GtkMessageType | e_alert_get_message_type ()
void | e_alert_set_message_type ()
const gchar * | e_alert_get_primary_text ()
void | e_alert_set_primary_text ()
const gchar * | e_alert_get_secondary_text ()
void | e_alert_set_secondary_text ()
const gchar * | e_alert_get_icon_name ()
void | e_alert_add_action ()
GList * | e_alert_peek_actions ()
GtkWidget * | e_alert_create_image ()
void | e_alert_response ()
void | e_alert_start_timer ()
void | e_alert_submit ()
void | e_alert_submit_valist ()

## Properties

GPtrArray * | args | Read / Write / Construct Only
GtkMessageType | message-type | Read / Write
gchar * | primary-text | Read / Write
gchar * | secondary-text | Read / Write
gchar * | tag | Read / Write / Construct Only

## Signals

void | response | Run Last

## Types and Values

#define | E_ALERT_ASK_FILE_EXISTS_OVERWRITE
#define | E_ALERT_NO_SAVE_FILE
#define | E_ALERT_NO_LOAD_FILE
struct | EAlert

## Object Hierarchy

        GObject
        ╰── EAlert

## Description

## Functions

### e_alert_new ()

    EAlert *
    e_alert_new (const gchar *tag,
                 ...);

Creates a new EAlert. The `tag` argument is used to determine which alert to use, it is in the format domain:alert-id. The NULL terminated list of arguments is used to fill out the alert definition.

#### Parameters

tag | alert identifier |
... | `NULL`-terminated argument list |

#### Returns

a new EAlert

### e_alert_new_valist ()

    EAlert *
    e_alert_new_valist (const gchar *tag,
                        va_list va);

### e_alert_new_array ()

    EAlert *
    e_alert_new_array (const gchar *tag,
                       GPtrArray *args);

### e_alert_get_default_response ()

    gint
    e_alert_get_default_response (EAlert *alert);

### e_alert_set_default_response ()

    void
    e_alert_set_default_response (EAlert *alert,
                                  gint response_id);

### e_alert_get_message_type ()

    GtkMessageType
    e_alert_get_message_type (EAlert *alert);

### e_alert_set_message_type ()

    void
    e_alert_set_message_type (EAlert *alert,
                              GtkMessageType message_type);

### e_alert_get_primary_text ()

    const gchar *
    e_alert_get_primary_text (EAlert *alert);

### e_alert_set_primary_text ()

    void
    e_alert_set_primary_text (EAlert *alert,
                              const gchar *primary_text);

### e_alert_get_secondary_text ()

    const gchar *
    e_alert_get_secondary_text (EAlert *alert);

### e_alert_set_secondary_text ()

    void
    e_alert_set_secondary_text (EAlert *alert,
                                const gchar *secondary_text);

### e_alert_get_icon_name ()

    const gchar *
    e_alert_get_icon_name (EAlert *alert);

### e_alert_add_action ()

    void
    e_alert_add_action (EAlert *alert,
                        GtkAction *action,
                        gint response_id);

### e_alert_peek_actions ()

    GList *
    e_alert_peek_actions (EAlert *alert);

### e_alert_create_image ()

    GtkWidget *
    e_alert_create_image (EAlert *alert,
                          GtkIconSize size);

### e_alert_response ()

    void
    e_alert_response (EAlert *alert,
                      gint response_id);

### e_alert_start_timer ()

    void
    e_alert_start_timer (EAlert *alert,
                         guint seconds);

Starts an internal timer for `alert` . When the timer expires, `alert` will emit the default response. There is only one timer per EAlert, so calling this function repeatedly on the same EAlert will restart its timer each time. If `seconds` is zero, the timer is cancelled and no response will be emitted.

#### Parameters

alert | an EAlert |
seconds | seconds until timeout occurs |

### e_alert_submit ()

    void
    e_alert_submit (struct _EAlertSink *alert_sink,
                    const gchar *tag,
                    ...);

### e_alert_submit_valist ()

    void
    e_alert_submit_valist (struct _EAlertSink *alert_sink,
                           const gchar *tag,
                           va_list va);

## Types and Values

### E_ALERT_ASK_FILE_EXISTS_OVERWRITE

    #define             E_ALERT_ASK_FILE_EXISTS_OVERWRITE

### E_ALERT_NO_SAVE_FILE

    #define E_ALERT_NO_SAVE_FILE "system:no-save-file"

### E_ALERT_NO_LOAD_FILE

    #define E_ALERT_NO_LOAD_FILE "system:no-save-file"

### struct EAlert

    struct EAlert;

## Property Details

### The `“args”` property

      “args”                     GPtrArray *

Arguments for formatting the alert.

Flags: Read / Write / Construct Only

### The `“message-type”` property

      “message-type”             GtkMessageType

Flags: Read / Write

Default value: GTK_MESSAGE_ERROR

### The `“primary-text”` property

      “primary-text”             gchar *

Flags: Read / Write

Default value: NULL

### The `“secondary-text”` property

      “secondary-text”           gchar *

Flags: Read / Write

Default value: NULL

### The `“tag”` property

      “tag”                      gchar *

A tag describing the alert.

Flags: Read / Write / Construct Only

Default value: ""

## Signal Details

### The `“response”` signal

    void
    user_function (EAlert  *ealert,
                   gint     arg1,
                   gpointer user_data)

Flags: Run Last